Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class FTItem

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Nod
                      org.basex.query.item.DBNode
                          org.basex.query.item.FTItem

    public final class FTItem

extends DBNode

XQuery item representing a full-text Node.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Sebastian Gath

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary
`FTMatches` | `all` Full-text matches.

Fields inherited from class org.basex.query.item.DBNode
`data, pre, root, TYPES`

Fields inherited from class org.basex.query.item.Item
`score, type`

Constructor Summary
`FTItem(FTMatches a, Data d, int p, int tol, int tis, double s)` Constructor, called by the index variant.
`FTItem(FTMatches a, double s)` Constructor, called by the sequential variant.

Method Summary
`double` | `score()` Returns a score value.
`String` | `toString()`

Methods inherited from class org.basex.query.item.DBNode
`anc, attr, base, child, color, copy, desc, descOrSelf, diff, finish, is, nname, ns, par, parent, parent, plan, qname, qname, serialize, set, str`

Methods inherited from class org.basex.query.item.Nod
`ancOrSelf, bool, dbl, dec, diff, eq, flt, foll, follSibl, id, itr, java, kind, prec, precSibl, self, uri`

Methods inherited from class org.basex.query.item.Item
`atomic, comp, d, duplicates, ebv, hashCode, i, iter, iter, n, name, node, removable, returned, s, score, size, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, v`

Methods inherited from class org.basex.query.ExprInfo
`info`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### all

    public FTMatches all

  Full-text matches.

Constructor Detail

### FTItem

    public FTItem(FTMatches a,
                  double s)

  Constructor, called by the sequential variant.

  Parameters:
    `a` - matches
    `s` - scoring

### FTItem

    public FTItem(FTMatches a,
                  Data d,
                  int p,
                  int tol,
                  int tis,
                  double s)

  Constructor, called by the index variant.

  Parameters:
    `a` - full-text matches
    `d` - data reference
    `p` - pre value
    `tis` - total size indexed results
    `tol` - token length
    `s` - score value out of the index

Method Detail

### score

    public double score()

  Description copied from class: `Item`
  Returns a score value.

  Overrides:
    `score` in class `Item`
  Returns:
    score value

### toString

    public String toString()

  Overrides:
    `toString` in class `DBNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD